## visad.data
Class EmptyDataWriter

    java.lang.Object
      visad.data.BaseDataProcessor
          visad.data.EmptyDataProcessor
              visad.data.EmptyDataWriter

All Implemented Interfaces:
  DataProcessor, DataWriter

public class EmptyDataWriter
extends EmptyDataProcessor
implements DataWriter

A do-nothing DataWriter implementation

Constructor Summary
`EmptyDataWriter()`

Method Summary
`void` `close()` Close the file
`void` `flush()` Flush all data to disk.
`void` `setFile(File file)` Open the specified file.
`void` `setFile(String name)` Open the named file.

Methods inherited from class visad.data.EmptyDataProcessor

`processDoubleSet, processFieldImpl, processFlatField, processFloatSet, processGridded1DDoubleSet, processGridded1DSet, processGridded2DDoubleSet, processGridded2DSet, processGridded3DDoubleSet, processGridded3DSet, processGriddedSet, processInteger1DSet, processInteger2DSet, processInteger3DSet, processIntegerNDSet, processIrregular1DSet, processIrregular2DSet, processIrregular3DSet, processIrregularSet, processLinear1DSet, processLinear2DSet, processLinear3DSet, processLinearLatLonSet, processLinearNDSet, processList1DSet, processProductSet, processReal, processRealTuple, processSampledSet, processSimpleSet, processSingletonSet, processText, processTuple, processUnionSet, processUnknownData`

Methods inherited from class visad.data.BaseDataProcessor
`process, processLinear1DSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface visad.data.DataProcessor

`process, processDoubleSet, processFieldImpl, processFlatField, processFloatSet, processGridded1DDoubleSet, processGridded1DSet, processGridded2DDoubleSet, processGridded2DSet, processGridded3DDoubleSet, processGridded3DSet, processGriddedSet, processInteger1DSet, processInteger2DSet, processInteger3DSet, processIntegerNDSet, processIrregular1DSet, processIrregular2DSet, processIrregular3DSet, processIrregularSet, processLinear1DSet, processLinear2DSet, processLinear3DSet, processLinearLatLonSet, processLinearNDSet, processList1DSet, processProductSet, processReal, processRealTuple, processSampledSet, processSimpleSet, processSingletonSet, processText, processTuple, processUnionSet, processUnknownData`

Constructor Detail

### EmptyDataWriter

    public EmptyDataWriter()

Method Detail

### close

    public void close()
               throws IOException

  Description copied from interface: `DataWriter`
  Close the file

  Specified by:
    `close` in interface `DataWriter`
  Throws:
    `IOException` - If there is a problem.

### flush

    public void flush()
               throws IOException

  Description copied from interface: `DataWriter`
  Flush all data to disk.

  Specified by:
    `flush` in interface `DataWriter`
  Throws:
    `IOException` - If there is a problem.

### setFile

    public void setFile(String name)

  Description copied from interface: `DataWriter`
  Open the named file. If a file is already being written to, all data will be flushed and the file will be closed.

  Specified by:
    `setFile` in interface `DataWriter`
  Parameters:
    `name` - The path used to open the file.

### setFile

    public void setFile(File file)

  Description copied from interface: `DataWriter`
  Open the specified file. If a file is already being written to, all data will be flushed and the file will be closed.

  Specified by:
    `setFile` in interface `DataWriter`
  Parameters:
    `file` - The file.